package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.TpCaseElevator;
import com.ruoyi.project.business.dto.TpCaseElevatorDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 联动用例关联适用梯型Mapper接口
 *
 * @author jubs
 * @date 2024-05-10
 */
public interface TpCaseElevatorMapper extends BaseMapper<TpCaseElevator> {
    List<TpCaseElevatorDto> initData(Long paraValidationId);
    int getCount(Long elevatorModelId);
    int selectCaseCount(Long id);
    int selectCaseCountWithModel(@Param("ids") Long[] ids,@Param("elevatorModelId") Long elevatorModelId);
    int selectCaseCountLikeWithModel(@Param("ids") Long[] ids,@Param("elevatorModelId") Long elevatorModelId);
    void clearAll();
}
